% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/GEOsearchterm.R
\name{GEOSearchTerm}
\alias{GEOSearchTerm}
\title{GEOSearchTerm}
\usage{
GEOSearchTerm(termlist, type = "GSE")
}
\arguments{
\item{termlist}{A character vector of terms to be searched in NCBI GEO. Typically the direct output of function "termalias"}

\item{type}{Either "GSE" or "GSM". The function will search either GSE and GSM on GEO.}
}
\value{
A data frame containing the search results returned from NCBI GEO.
}
\description{
Perform searching in NCBI GEO database.
}
\details{
Search the terms one by one in NCBI GEO database and return an integrated table of search results. The returned results should contain exactly the same information as the results returned by directly searching in http://www.ncbi.nlm.nih.gov/geo/.
}
\examples{
GEOSearchTerm("Oct4 RNA-seq")
}
\author{
Zhicheng Ji, Hongkai Ji <zji4@zji4.edu>
}

